geos::coverage::CoverageUnion Class Reference

`#include <CoverageUnion.h>`

## Static Public Member Functions

static std::unique_ptr< Geometry > | Union (std::vector< const Geometry * > &coverage)
static std::unique_ptr< Geometry > | Union (const Geometry *coverage)

## Detailed Description

Unions a polygonal coverage in an efficient way.

Valid polygonal coverage topology allows merging polygons in a very efficient way.

Author
  Martin Davis

## Member Function Documentation

## Union() [1/2]

std::unique_ptr< Geometry > geos::coverage::CoverageUnion::Union | ( | const Geometry * | coverage | ) |

static

Unions a polygonal coverage.

Parameters

  coverage | a collection of the polygons in the coverage

Returns
  the union of the coverage polygons

## Union() [2/2]

std::unique_ptr< Geometry > geos::coverage::CoverageUnion::Union | ( | std::vector< const Geometry * > & | coverage | ) |

static

Unions a polygonal coverage.

Parameters

  coverage | a vector of polygons in the coverage

Returns
  the union of the coverage polygons

The documentation for this class was generated from the following file:

- coverage/CoverageUnion.h